> For the complete documentation index, see [llms.txt](https://docs.sharinpix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sharinpix.com/documentation/cookbook/display-an-album-in-a-lightning-web-component.md).

# Display an Album in a Lightning Web Component

In this article, you will learn how to call the component SharinPix Album (LWC) as a child in another parent component.

## Call SharinPix Album (LWC) inside Lightning Web Component

* The sample code below shows how to call the **SharinPix Album (LWC)** inside the markup of a Lightning Web Component.

```html
<template>
    <sharinpix-album record-id={recordId} enable-image-sync={enableImageSync} 
    height={height} fullscreen-allowed={fullscreenAllowed} 
    enable-action={enableAction} enable-toast={enableToast} 
    permission-id={permissionId} tags={tags} auto-tags={autoTags} 
    component-id={componentId}></sharinpix-album>
</template>
```

```javascript
import { LightningElement, api } from 'lwc';

export default class ParentAlbum extends LightningElement {
    @api recordId
    enableImageSync = true
    height = 600
    fullscreenAllowed = true
    enableAction = true
    enableToast = true
    permissionId = 'SharinPixPermissionName'
    tags = 'tag1;tag2'
    autoTags = 'autoTag1'
    componentId = 'album'
}
```

{% hint style="warning" %}
**Note:**

* The parameter's value can be modified as per your use-case.
* The ***SharinPixPermissionName*** highlighted above should be replaced with the name or Id of a [SharinPix Permission](/documentation/access-and-security/sharinpix-permission-object-how-to-create-and-assign-custom-permission.md).
  {% endhint %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<LightningComponentBundle xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>63.0</apiVersion>  //Add recent API version
    <isExposed>true</isExposed>
    <targets>
        <target>lightning__RecordPage</target>
    </targets>
</LightningComponentBundle>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sharinpix.com/documentation/cookbook/display-an-album-in-a-lightning-web-component.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
